// diagnostics_render.rs

use rottlib::diagnostics::{Diagnostic};
use rottlib::lexer::TokenizedFile;

pub fn render_diagnostic(
    diag: &Diagnostic,
    _file: &TokenizedFile,
    file_name: Option<&str>,
    colors: bool,
) -> String {
    diag.render(_file, file_name.unwrap_or("<default>"));
    "fuck it".to_string()
}
